#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "vulkan_setup.h"
#include "x11_setup.h"

#include "vkload.h"

#include <stdlib.h>

#include <stdio.h>	// TODO remove

#include <unistd.h>	// TODO remove

int main(int argc, char **argv)
{
	/* program state */
	struct vkload g;

	g.argc = argc;
	g.argv = argv;

	if(!x11_setup(&g))
		exit(1);

	if(!vulkan_setup(&g))
		exit(1);

	printf("%u %u\n", g.extent.width, g.extent.height);

	sleep(1);

	vulkan_teardown(&g);
	x11_teardown(&g);

	return 0;
}
