#pragma once

#include <vulkan/vulkan.h>

#include <X11/Xlib.h>

struct vkload
{
	/* for the X11 session manager */
	int argc;
	char **argv;

	/* X11 context */
	Display *display;
	Window window;

	/* Vulkan context */
	VkInstance instance;
	VkSurfaceKHR surface;
	VkDevice device;
	VkSwapchainKHR swapchain;

	VkQueue graphics_queue;
	VkQueue present_queue;

	VkSurfaceFormatKHR surface_format;
	VkPresentModeKHR present_mode;
	VkSurfaceTransformFlagBitsKHR transform;
	uint32_t image_count;
	VkExtent2D extent;

	VkImage images[2];		// TODO actual number
};
